cURL
curl --request POST \
--url https://api.botpress.cloud/v1/tables/{table}/rows/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"ids": [
123
],
"filter": {},
"deleteAllRows": true
}
'import requests
url = "https://api.botpress.cloud/v1/tables/{table}/rows/delete"
payload = {
"ids": [123],
"filter": {},
"deleteAllRows": True
}
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ids: [123], filter: {}, deleteAllRows: true})
};
fetch('https://api.botpress.cloud/v1/tables/{table}/rows/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deletedRows": 123
}{
"deletedRows": 123
}deleteTableRows
Allows selective deletion of rows or complete clearance of a table.
POST
/
v1
/
tables
/
{table}
/
rows
/
delete
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Path Parameters
The table's name or unique identifier for targeting specific table operations.
Body
application/json
Identifiers of the rows to be deleted.
Response
Confirms the number of rows successfully deleted.
Was this page helpful?
⌘I